Loading...
Searching...
No Matches
fast_atof.h File Reference
`#include "irrMath.h"`
`#include "irrString.h"`

Go to the source code of this file.

## Namespaces

namespace | irr
| Everything in the Irrlicht Engine can be found in this namespace.
namespace | irr::core
| Basic classes such as vectors, planes, arrays, lists, and so on can be found in this namespace.

## Macros

#define | IRR_ATOF_TABLE_SIZE 17

## Functions

u32 | irr::core::ctoul16 (char in)
| Convert a hex-encoded character to an unsigned integer.
float | irr::core::fast_atof (const char *floatAsString, const char **out=0)
| Convert a string to a floating point number.
const char * | irr::core::fast_atof_move (const char *in, f32 &result)
| Provides a fast function for converting a string into a float.
f32 | irr::core::strtof10 (const char *in, const char **out=0)
| Converts a sequence of digits into a whole positive floating point value.
s32 | irr::core::strtol10 (const char *in, const char **out=0)
| Convert a simple string of base 10 digits into a signed 32 bit integer.
u32 | irr::core::strtoul10 (const char *in, const char **out=0)
| Convert a simple string of base 10 digits into an unsigned 32 bit integer.
u32 | irr::core::strtoul16 (const char *in, const char **out=0)
| Convert a simple string of base 16 digits into an unsigned 32 bit integer.
u32 | irr::core::strtoul8 (const char *in, const char **out=0)
| Convert a simple string of base 8 digits into an unsigned 32 bit integer.
u32 | irr::core::strtoul_prefix (const char *in, const char **out=0)
| Convert a C-style prefixed string (hex, oct, integer) into an unsigned 32 bit integer.

## Variables

const float | irr::core::fast_atof_table [17]
IRRLICHT_API irr::core::stringc | irr::core::LOCALE_DECIMAL_POINTS
| Selection of characters which count as decimal point in fast_atof.

## Macro Definition Documentation

## IRR_ATOF_TABLE_SIZE

#define IRR_ATOF_TABLE_SIZE 17

Definition at line 20 of file fast_atof.h.

Referenced by irr::core::fast_atof_move().

- Irrlicht Engine Documentation © 2003-2012 by Nikolaus Gebhardt. Generated on for Irrlicht 3D Engine by Doxygen 1.15.0